2010-07-19 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.4.23 / 20100719

2010-04-27 Bor Kraljič <pyrobor@ver.si>
	* DETAILS: updated OPENLDAP_BRANCH=release to 2.4.22
	  updated OPENLDAP_BRANCH=stable to 2.4.21

2010-03-19 Vlad Glagolev <stealth@sourcemage.org>
	* UP_TRIGGERS: added cast_self for curl, if curl had been selected with
	  openldap support

2010-03-14 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: May use any provider of ODBC-MGR

2009-12-24 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated release to 2.4.21

2009-12-20 Florian Franzmann <siflfran@hawo.stw.uni-erlangen.de>
	* DETAILS: fixed stable version's distfile name

2009-11-28 Vlad Glagolev <stealth@sourcemage.org>
	* PREPARE: added, for branch selection
	* DETAILS: added release branch
	* DEPENDS: removed tabs and extra spaces

2009-10-27 Vlad Glagolev <stealth@sourcemage.org>
	* CONFIGURE, DEPENDS: removed gdbm support -- isn't available anymore

2009-10-06 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.4.19

2009-09-07 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.4.18

2009-07-14 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.4.17

2009-05-02 Andraž "ruskie" Levstik <ruskie+f03a580f@codemages.net>
	* init.d/slapd: made it non-sh, bug #13702

2009-04-06 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.4.16

2009-02-25 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 2.4.15; replaced non-connectable mirror;
	  quoting paths

2009-02-18 Eric Sandall <sandalle@sourcemage.org>
	* CONFIGURE: Query if we want openldap-2.4-ntlm.patch applied
	* PRE_BUILD: Apply openldap-2.4-ntlm.patch if requested
	* {PRE_,}SUB_DEPENDS: Allow forcing openldap-2.4-ntlm.patch
	* openldap-2.4-ntlm.patch: Patch to provide more NTLM API calls for
	  evolution-data-server to use for Exchange support
	  This patch was obtained from
	  http://cvs.pld-linux.org/cgi-bin/cvsweb.cgi/SOURCES/openldap-ntlm.diff and
	  updated to openldap 2.4.14

2009-02-15 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.4.14

2009-02-06 Vlad Glagolev <stealth@sourcemage.org>
	* [PRE_]SUB_DEPENDS: added cyrus-sasl subdep

2008-11-25 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.4.13

2008-11-11 George Sherwood <gsherwood@sourcemage.org>
	* BUILD: Added -D_GNU_SOURCE to CPPFLAGS for glibc 2.8
	  See http://www.openldap.org/lists/openldap-bugs/200804/msg00074.html

2008-10-12 Arjan Bouter <abouter@sourcemage.org>
	* DETAILS: 2.4.12

2008-09-14 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* DEPENDS: added groff #14734

2008-07-21 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.4.11

2008-06-11 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.4.10

2008-05-08 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.4.9

2008-03-03 Thomas Orgis <sobukus@sourcemage.org>
	* CONFIGURE, openldap-2.3.33-contextpatch.bz2, PRE_BUILD:
	  Removed the context patch, as it doesn't apply anymore (patch author doesn't
	  follow openldaps release schedule in production use)

2008-02-25 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.4.8

2007-12-13 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.4.7

2007-11-21 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.4.6
	* UP_TRIGGERS: added

2007-09-02 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to version 2.3.38
	  Removed non-working SOURCE_URL[2] and SOURCE_URL[3]

2007-07-20 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.3.37

2007-06-18 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.3.36

2007-05-29 Thomas Orgis <sobukus@sourcemage.org>
	* init.d/slapd: source slapd config, not ldap (bug 13805)
	* FINAL: use INSTALL_ROOT when moving installed files around
	* DETAILS: a PATCHLEVEL

2007-04-14 Thomas Orgis <sobukus@sourcemage.org>
	* PRE_BUILD, CONFIGURE, DEPENDS, openldap-2.3.33-contextpatch.bz2:
	  Add context support, see http://timof.qipc.org/ldap/libldap.html .
	  Upstream is not reacting to the issue, so I think this patch here
	  is justified.
	* DETAILS: security patch, even if only optional, this is relevant

2007-02-26 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.3.34

2007-01-15 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to version 2.3.32

2006-12-19 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.3.31

2006-11-15 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.3.30

2006-11-11 David Kowis <dkowis@shlrm.org>
	* FINAL: added to move /etc/sysconfig/ldap to slapd
	* init.d: ldap.conf/slapd.conf moved
	* init.d: slapd, Made the init script work, don't know why sergey couldn't...

2006-09-21 Juuso Alasuutari <iuso@sourcemage.org>
	* DETAILS: [automated] Removed BUILD_API=2.

2006-08-27 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to version 2.3.27. Removed UPDATED.

2006-06-05 David Kowis <dkowis@shlrm.org>
	* DETAILS: 2.3.24

2006-05-19 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.3.23

2006-03-12 Karsten Behrmann <BearPerson@sourcemage.org>
	* DETAILS: (automated) Add KEYWORDS

2006-03-05 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to 2.3.20

2006-01-31 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to 2.3.19
	* INSTALL: Added +x

2006-01-13 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.3.17

2005-12-13 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: upgrade to 2.3.13.

2005-11-25 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: upgrade to 2.3.12.

2005-10-16 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: upgrade to 2.3.11.

2005-10-03 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: upgrade to 2.3.7;
	* DEPENDS: use --enable-ldbm-api.

2005-09-18 Jeremy Blosser <jblosser-smgl@firinn.org>
	* BUILD: Remove --with-subdir=$INSTALL_ROOT/usr (bug 8893).

2005-04-28 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: upgrade to 2.2.26;
	* CONFIGURE: add an option of building daemon and using per-object AC;
	* DEPENDS: redo all backend options;
	* BUILD: use default_build;
	* TRIGGERS: check self on `db' recast;
	* INSTALL: make a link to slapd.

2005-04-26 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.2.25

2005-04-07 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.2.24

2005-03-09 Sergey Lipnevich <sergey@sourcemage.org>
	* services: remove, no longer used.

2005-02-01 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 2.2.23

2005-01-28 Eric Sandall <sandalle@sourcemage.org>
	* CONFIGURE,BUILD: Use OPENLDAP_LDBM instead of OPTS

2005-01-20 Unet <unet@sourcemage.org>
	* BUILD: Make use of INSTALL_ROOT

2005-01-06 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 2.2.20

2004-12-20 Arjan Bouter <abouter@sourcemage.org>
	* BUILD: fixed info/man locations

2004-10-01 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: upgrade to 2.2.17.

2004-08-23 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 2.2.15
	  (and I forgot to update UPDATED for the slapd fix, so doing it now)

2004-08-21 Eric Sandall <sandalle@sourcemage.org>
	* init.d/slapd: slapd binary moved to /usr/libexec (thanks Belxjander)

2004-07-21 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 2.2.14
	  BUILD_API=2
	  Shortened SHORT
	* BUILD: Converted to BUILD_API 2
	* INSTALL: Added
	* CONFIGURE: Converted to config_query

2004-07-18 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: unixODBC renamed to unixodbc
	  Formatted to Guru Handbook

2004-06-16 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 2.2.13

2004-04-22 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: upgrade to 2.2.11.

2004-04-03 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: upgrade to 2.2.8.

2004-03-14 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: upgrade to 2.2.6.

2004-01-27 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: upgrade to 2.2.5.

2004-01-02 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: upgrade to 2.2.4.

2003-12-08 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: upgrade to 2.1.25.

2003-12-05 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: upgrade to 2.1.24, with explicit db 4.2 support;
	* BUILD: try and avoid creating files out of installwatch's scope;
	* mkconf.sh: make it fail in case of errors;
	* init.d/slapd: multiple URLs are accepted for slapd `-h' option.

2003-11-25 Sergey Lipnevich <sergey@sourcemage.org>
	* TRIGGERS: add a trigger for Berkeley DB.

2003-10-28 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: upgrade to 2.1.23.

2003-09-19 Sergey Lipnevich <sergey@sourcemage.org>
	* Made Berkeley DB required dependency.

2003-08-22 hgg <hgreig@bigpond.net.au>
	* Update UPDATED purely for test grimoire integration.

2003-08-01 Sergey Lipnevich <sergey@sourcemage.org>
	* It pays to read the docs: the URL supplied to slapd at startup must have three slashes.

2003-07-30 Arwed v. Merkatz <v.merkatz@gmx.net>
	* Updated to new init system.

2003-07-26 Sergey Lipnevich <sergey@sourcemage.org>
	* Removed one broken mirror planetmirror.com.
	  Revert init script changes, here's why. Log message or no log
	  message, the SLAPD_URL that was being used achieved its purpose:
	  make OpenLDAP listen on all available IP interfaces on two ports,
	  LDAP and LDAPS. Guessing the host name or listening on the
	  local interface only doesn't achieve this or makes things
	  too complicated.

2003-07-16 Eric Sandall <sandalle@sourcemage.org>
	* Now listens on localhost by default

2003-07-14 Eric Sandall <sandalle@sourcemage.org>
	* Modified the init.d scripts to work by default
	  (Current setup gave "Address family not supported")

2003-07-11 Eric Sandall <sandalle@sourcemage.org>
	* Added some mirrors from: http://www.openldap.org/software/download/
	  Upgrade to 2.1.22

2003-05-30 Sergey Lipnevich <sergey@sourcemage.org>
	* Upgrade to 2.1.21.

2003-05-27 Sergey Lipnevich <sergey@sourcemage.org>
	* Fixed output of mkaccount.sh location in mkconf.sh (thanks to Eric Sandall).

2003-05-20 Sergey Lipnevich <sergey@sourcemage.org>
	* Upgrade to 2.1.20.

2003-05-08 Sergey Lipnevich <sergey@sourcemage.org>
	* Upgrade to 2.1.19.

2003-05-02 Rob Verkuylen <rob@verkuylen.net>
	* Copied /init.d/slapd.sh to /init.d/slapd
	  Step 1/3 in bug#: 3115

2003-04-07 Sergey Lipnevich <sergey@sourcemage.org>
	* Upgrade to 2.1.17.
	  Sort out more dependency issues.

2003-03-31 Sergey Lipnevich <sergey@sourcemage.org>
	* Upgrade to 2.1.16.

2003-03-03 Sergey Lipnevich <sergey@sourcemage.org>
	* Upgrade to 2.1.14.
	  Cosmetic improvements to BUILD.
	  POST_INSTALL now uses "restart" instead of "start" and checks
	  configuration before restarting.
	  PRE_REMOVE has been removed. The rationale here is that we don't
	  need to stop the server if we remove old binaries and installing
	  new ones. Rather, we need to check config and restart the server
	  if the config files are fine. This gives us the benefit of the
	  old server still running if we have a configuration problem. The
	  admin can fix it and then restart the server. But if we stop the
	  server and then see a problem, it's too late because not only the
	  new server will not start, but the old one's binaries are gone.
	  The disadvantage here is that "dispel" operation doesn't stop the
	  server, which is OK, because in real world people don't remove
	  such vital things as directory randomly.
	  Correct spelling in slapd.sh.

2003-02-25 Eric Schabell <eschabell@sourcemage.org>
	* Cleaned out CONFIGURE and BUILD of installscript
	  calls.

2003-02-24 Eric Schabell <eschabell@sourcemage.org>
	* Updated to use librunlevel for init.d script.

2003-01-07 Sergey Lipnevich <sergey@sourcemage.org>
	* Upgraded to 2.1.12, the "stable release" from now on.
	  See http://www.openldap.org/software/download/.
	  For definition of the "stable", see http://www.openldap.org/faq/?file=225.

2003-01-04 Sergey Lipnevich <sergey@sourcemage.org>
	* Upgraded to 2.1.11.
	  Disabled Cyrus-SASL until better way to configure is available.
	  Update default configuration files.

2002-10-23 Sergey Lipnevich <sergey@sourcemage.org>
	* Upgraded to 2.1.8.
	  Fixed minor bug in CONFIGURE which introduced major consequences.

2002-10-16 Sergey Lipnevich <sergey@sourcemage.org>
	* SQL backend now compiles, thanks to suggestion by Eric Sandall (bug 1364).
	  Made generation of SQL backend implicit in unixODBC depends instruction.
	  Cleaned up CONFIGURE.

2002-10-14 Sergey Lipnevich <sergey@sourcemage.org>
	* Upgrade to 2.1.6 with checksum.

2002-08-09 Sergey Lipnevich <sergey@sourcemage.org>
	* Added dependency on Cyrus-SASL library for encrypted communication.
	  Added dependencies to allow for perl and shell backends to be compiled.
	  Perl dependency is commented out because of compilation problems,
	  supposedly due to perl 5.8.0.

2002-07-24 Sergey Lipnevich <sergey@sourcemage.org>
	* Scripts for generating default configuration have been changed to use new
	  structure: ou=<Users|Groups>,dc=<company>,dc=<TLD>. They will try to guess
	  the <company> and <TLD> parts from the host name.

2002-07-10 Sergey Lipnevich <sergey@sourcemage.org>
	* Updated to 2.1.x tree (2.1.2) and added extra CONFIGURE options.
	  Default backend will from now on be Berkeley DB (bdb). Main
	  advantage of this backend is that it is transactional.
	* Please note that there are compatibility issues between Lightweight
	  DB Manager (LDBM) backend in 2.0.x and 2.1.x. You can backup your
	  existing 2.0.x directory by exporting it entirely into LDIF format
	  using ldapsearch like this:
	* ldapsearch -D "<Root DN>" -W "(objectClass=*)" > wholedir.ldif
	* You will have to enter a Root DN's password. Then, when new version
	  of slapd is running, use ldapadd like this:
	* ldapadd -D "<Root DN>" -W -f wholedir.ldif -c -S skipped.ldif
	* Make sure slapd.conf has references to all schemas that are needed
	  for your objects. E.g., an object will be skipped (and added to the
	  skipped.ldif if you use the command above), if classes it belongs
	  to or attributes it has, are not described by any schema.

2002-05-08 Sergey Lipnevich <sergey@sourcemage.org>
	* Corrected default ldap.conf to have only one pam_password attribute,
	  with value "exop", which is best for OpenLDAP.

2002-04-28 Sergey Lipnevich <sergey@sourcemage.org>
	* Added code creating valid slapd.conf and ldap.conf, using files provided by
	  Eric Sandall <sandalle@sourcemage.org> as a guide.
	  Added to slapd.conf "misc.schema" which contains some useful attributes.

2002-04-16 Sergey Lipnevich <sergey@sourcemage.org>
	* Added slapd.sh, services, and BUILD files. slapd.sh for init, services for
	  reference (slapd doesn't need these entries), BUILD just uses
	  default_build and then installs slapd.sh along the lines of the same
	  process in net/bind spell. Also added PRE_REMOVE and POST_INSTALL to take
	  care of running instance of slapd when casting/dispelling.
